DavenDaven Documentation
APIAPI ReferenceJobboardJobboard Job Offers

Update jobboard job offer

PUT
/jobboard/job-offers/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*number|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Jobboard Job offer DTO - The data transfer object for job offers

title?|

Title of the job offer

reference*string

Main job offer reference

reference_2?|

Second job offer reference

reference_3?string

Third job offer reference

subsidiary?string

Subsidiary name

subsidiary_jobboard_id?string

Subsidiary's internal ID in the jobboard system

description?string

Description of the job offer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/jobboard/job-offers/0" \  -H "Content-Type: application/json" \  -d '{    "reference": "REF123"  }'
{
  "message": "string",
  "data": [
    {
      "id": 0,
      "title": "string",
      "reference": "string",
      "reference_2": "string",
      "reference_3": "string",
      "subsidiary": "string",
      "subsidiary_jobboard_id": "string",
      "description": "string"
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}
{
  "message": "string",
  "errors": [
    {
      "message": "string",
      "data": null
    }
  ]
}